#ifndef PACKETS_ECP_H
#define PACKETS_ECP_H

/* Known versions of the ECP. */
#define ECP_VERSION_NO_UPGRADE 0
#define ECP_VERSION_1          1

/* The maximum ECP version supported by this implementation. */
#define ECP_MAX_SUPPORTED_VERSION ECP_VERSION_1

struct UpgradeProtocolRequestPacket
{
	u8 t1;
	u8 t2;
	u32 requestedversion;
};

struct UpgradeProtocolReplyPacket
{
	u8 t1;
	u8 t2;
	u32 acceptedversion;
};

struct AcknowlegeAllPacket
{
	u8 t1;
	u8 t2;
	u32 reliableid;
	u32 rangeend;
};

struct SetWindowSizePacket
{
	u8 t1;
	u8 t2;
	u32 windowsize;
};

#endif
